
Smart Proxy - Feature #11798

Standard smart proxy interface for module statuses

09/14/2015 09:52 AM - Stephen Benjamin

Status: Resolved   

Priority: Normal   

Assignee:    

Category: Plugins   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

It would be nice if you could query a Smart Proxy for the status of its subsystems. Individual modules could provide their own health

checks.  For example, dynflow status would check if there's a valid world available, Realm might do a simple XMLRPC query against

the IPA server, etc.

/status -> all statuses

/status/:feature -> check just one

Related issues:

Related to Foreman - Feature #5784: as an admin, I would like to know whats f... New 05/19/2014

Related to Smart Proxy - Feature #12715: As a user I would like to know if th... Closed 12/07/2015

Related to Smart Proxy - Feature #25614: Support exposing capabilities and se... Closed

History

#1 - 09/14/2015 09:53 AM - Stephen Benjamin

- Related to Feature #5784: as an admin, I would like to know whats foreman health/status added

#2 - 09/14/2015 09:53 AM - Dominic Cleal

- Project changed from Foreman to Smart Proxy

- Category changed from Smart Proxy to Plugins

#3 - 12/10/2015 11:01 AM - Dominic Cleal

- Related to Feature #12715: As a user I would like to know if the Proxy's available plugins are up and running and if they are not running why they did

not load  added

#4 - 08/02/2021 05:05 PM - Ewoud Kohl van Wijngaarden

- Status changed from New to Resolved

The API endpoint /v2/features actually exposes this (#25614).

#5 - 08/02/2021 05:05 PM - Ewoud Kohl van Wijngaarden

- Related to Feature #25614: Support exposing capabilities and settings  added
